Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface UnresolvedDependency

    public interface UnresolvedDependency

Unsuccessfully resolved dependency.

Method Summary
`String` | `getId()` Deprecated.
`Throwable` | `getProblem()` the exception that is the cause of unresolved state
`ModuleVersionSelector` | `getSelector()` The module selector of the dependency.

Method Detail

### getId

    @Deprecated
    public String getId()

  Deprecated. Please use getSelector()

  Returns the identifier of the dependency, for example group:name:version

### getProblem

    public Throwable getProblem()

  the exception that is the cause of unresolved state

### getSelector

    public ModuleVersionSelector getSelector()

  The module selector of the dependency.
  Since:
    1.1-rc-1

Gradle API 1.10